# Enum ARPlaneEvent.Kind

java.lang.Object
java.lang.Enum<ARPlaneEvent.Kind>
com.codename1.ar.ARPlaneEvent.Kind

All Implemented Interfaces:
  `Comparable<ARPlaneEvent.Kind>`

Enclosing class:
  `ARPlaneEvent`

public static enum ARPlaneEvent.Kind extends Enum<ARPlaneEvent.Kind>
The kind of change that occurred.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDED`
  The plane was newly detected.
  `REMOVED`
  The plane was removed, for example merged into another plane.
  `UPDATED`
  The plane's geometry or pose was refined; `#getPlane()` is the new snapshot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ARPlaneEvent.Kind`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ARPlaneEvent.Kind[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDED

    public static final ARPlaneEvent.Kind ADDED
    The plane was newly detected.

  - ### UPDATED

    public static final ARPlaneEvent.Kind UPDATED
    The plane's geometry or pose was refined; `#getPlane()` is the new snapshot.

  - ### REMOVED

    public static final ARPlaneEvent.Kind REMOVED
    The plane was removed, for example merged into another plane.

- ## Method Details

  - ### values

    public static ARPlaneEvent.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ARPlaneEvent.Kind valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null